volumes:
  calydb-data:

services:
  django:
    build:
      context: ./api
      dockerfile: Dockerfile.dev
    ports:
      - "8000:8000"
    volumes:
      - ./api:/app
    environment:
      SIGNING_KEY: ${SIGNING_KEY}
      STOCK_API_KEY: ${STOCK_API_KEY}
      # WAIT_HOSTS: db:5432
      # WAIT_BEFORE: 5
      # WAIT_TIMEOUT: 60
      DATABASE_URL: ${DATABASE_URL}


  # db:
  #   image: postgres:14.2-bullseye
  #   restart: always
  #   volumes:
  #     - calydb-data:/var/lib/postgresql/data
  #   environment:
  #     POSTGRES_DB: ${POSTGRES_DB}
  #     POSTGRES_USER: ${POSTGRES_USER}
  #     POSTGRES_PASSWORD: ${POSTGRES_PASSWORD}
  #   ports:
  #     - 15432:5432


  ghi:
    image: node:lts-bullseye
    command: /bin/bash run.sh
    working_dir: /app
    volumes:
      - ./ghi:/app
    ports:
      - "3000:3000"
    environment:
      HOST_OS: ${OS}
      NODE_ENV: development
      HOST: "0.0.0.0"
      PUBLIC_URL: http://165.22.36.187:3000
      REACT_APP_API_HOST: http://165.22.36.187:8000
